"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const wikidot_kit_1 = require("./wikidot-kit");
const repl = require("repl");
function runConsole() {
    return __awaiter(this, void 0, void 0, function* () {
        process.env.REPL_MODE = '1';
        const replServer = repl.start();
        Object.assign(replServer.context, {
            r: (p) => {
                p.then((result) => console.log('\n\n', result, '\n\nPress enter to continue')).catch(console.error);
            },
            s: (p) => {
                p.then(() => console.log('\n\nDone', '\n\nPress enter to continue')).catch(console.error);
            },
            db: models_1.db,
            wk: wikidot_kit_1.wk,
            Model: models_1.Model,
            WikidotUser: models_1.WikidotUser,
            WikidotPage: models_1.WikidotPage,
            Branch: models_1.Branch,
            Draft: models_1.Draft,
            User: models_1.User,
        });
    });
}
exports.default = runConsole;
//# sourceMappingURL=console.js.map