"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.batchedEnqueue = exports.enqueue = exports.bossReady = exports.boss = void 0;
const pg_boss_1 = __importDefault(require("pg-boss"));
const models_1 = require("../models");
exports.boss = new pg_boss_1.default({
    db: {
        executeSql: (query, originalValues = []) => __awaiter(void 0, void 0, void 0, function* () {
            const text = query.replace(/\$(\d)/g, ':$1');
            const values = originalValues.reduce((result, value, index) => (Object.assign(Object.assign({}, result), { [`${index + 1}`]: value })), {});
            return models_1.db.raw(text, values);
        }),
    },
});
exports.bossReady = exports.boss.start();
function enqueue(task, args, queue = 'common') {
    return __awaiter(this, void 0, void 0, function* () {
        yield exports.bossReady;
        return exports.boss.publish(queue, { task, args }, { retryLimit: 2 });
    });
}
exports.enqueue = enqueue;
function batchedEnqueue(tasks, queue = 'common') {
    return tasks.map(({ task, args }) => enqueue(task, args, queue));
}
exports.batchedEnqueue = batchedEnqueue;
//# sourceMappingURL=queues.js.map