"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
const renderer_1 = __importDefault(require("../../renderer"));
exports.default = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const id = models_1.Draft.ID_REG.test(req.params.id) && req.params.id;
    if (!id) {
        res.status(400).send({ error: 'Missing or incorrect draft id' });
        return;
    }
    const draft = yield models_1.Draft
        .query()
        .select('drafts.id', 'drafts.title', 'drafts.content', 'drafts.createdAt', 'drafts.updatedAt', 'users.username as author')
        .innerJoin('users', 'drafts.userId', 'users.id')
        .where({ 'drafts.id': id })
        .first();
    if (draft) {
        draft.renderedContent = renderer_1.default({ name: draft.title }, draft.content);
        res.send(draft);
    }
    else {
        res.status(404).send({ error: 'Draft not found' });
    }
});
//# sourceMappingURL=show.js.map