"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
exports.default = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const id = models_1.Draft.ID_REG.test(req.params.id) && req.params.id;
    if (!id) {
        res.status(400).send({ error: 'Missing or incorrect draft id' });
        return;
    }
    const { title, content } = req.body;
    if (!title || !content) {
        res.status(400).send({ error: 'Missing title or content' });
    }
    const draft = yield models_1.Draft
        .query()
        .where({ id })
        .first();
    if (!draft) {
        res.status(404).send({ error: 'Draft not found' });
        return;
    }
    if (draft.userId !== req.userInfo.id) {
        res.status(403).send({ error: 'Authorization required' });
        return;
    }
    const result = yield models_1.Draft
        .query()
        .where({ id })
        .first()
        .update({
        title,
        content,
        updatedAt: new Date(),
    })
        .returning('updated_at');
    res.send(result);
});
//# sourceMappingURL=update.js.map