"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../../core/utils");
const wikidot_tethering_service_1 = require("../../../services/wikidot-tethering.service");
exports.default = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        if (req.user) {
            const { result } = yield wikidot_tethering_service_1.tetherAccount(req.user.id);
            switch (result) {
                case wikidot_tethering_service_1.TetherResult.Ok:
                    res.send({ code: result });
                    break;
                case wikidot_tethering_service_1.TetherResult.PageNotFound:
                    res.status(424).send({ code: result });
                    break;
                case wikidot_tethering_service_1.TetherResult.AlreadyTethered:
                    res.status(200).send({ code: result });
                    break;
                case wikidot_tethering_service_1.TetherResult.WikidotUserAlreadyTethered:
                    res.status(424).send({ code: result });
                    break;
                default:
                    throw new Error('Unknown tether status');
            }
        }
        else {
            res.status(401).send('Unauthorized');
        }
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'wikidot/tether-account' } });
    }
});
//# sourceMappingURL=tether-account.js.map