"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../../core/utils");
const models_1 = require("../../../models");
exports.default = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const result = yield models_1.db.raw(`
            SELECT name, title, rating
            FROM wikidot_pages wp1
            WHERE name ~ '^scp-[0-9]{3,4}$' AND wiki_name = 'scp-wiki'
                AND NOT EXISTS(SELECT 1
                               FROM wikidot_pages wp2
                               WHERE wp2.wiki_name = 'scp-ru' AND wp2.name = wp1.name)
            ORDER BY rating DESC;
        `);
        res.send(result.rows);
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'api/untranslated-list' } });
    }
});
//# sourceMappingURL=untranslated-list.js.map