"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateLayout = void 0;
function generateLayout({ title, content, data, devMode }) {
    const scriptPath = `/dist/${devMode ? 'app.js' : 'app.min.js'}`;
    const preparedData = encodeURIComponent(JSON.stringify(data))
        .replace(/'/g, '\\\'');
    return `
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <link rel="icon" href="/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta
        name="description"
        content="SCP Foundation Russia"
    />
    <link rel="preload" href="${scriptPath}" as="script" />
    <link rel="preload" href="/dist/styles.css" as="style" />
    <link rel="stylesheet" href="/dist/styles.css" />
    <link rel="manifest" href="/manifest.json" />
    <script>
        window.SCP = JSON.parse(decodeURIComponent('${preparedData}'));
    </script>
    <title>${title || 'SCP Foundation'}</title>
</head>
<body>

    <div id="root">${content || ''}</div>

    <script src="${scriptPath}" async></script>
</body>
</html>
    `.trim();
}
exports.generateLayout = generateLayout;
//# sourceMappingURL=main-layout.js.map