"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const wikidot_kit_1 = require("../components/wikidot-kit");
const utils_1 = require("../core/utils");
class Branch extends _1.Model {
    static get tableName() {
        return 'branches';
    }
    importPages() {
        return __awaiter(this, void 0, void 0, function* () {
            utils_1.logImportant(`Performing pages import for wiki ${this.name}`);
            const pagesList = yield wikidot_kit_1.wk.fetchPagesList(this.name);
            const tasks = pagesList.map((pageName) => ({
                task: 'page-import',
                args: [this.name, pageName],
            }));
            yield utils_1.batchedEnqueue(tasks, 'import');
        });
    }
}
exports.default = Branch;
//# sourceMappingURL=branch.js.map