"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
class User extends _1.Model {
    static get tableName() {
        return 'users';
    }
    static findOrCreateByGoogleId(googleId) {
        return __awaiter(this, void 0, void 0, function* () {
            const existingUser = yield User.query().select('*').where({ googleId }).first();
            if (existingUser) {
                return existingUser.id;
            }
            const newUser = yield User.query().insert({
                username: `user${Math.round(Math.random() * 10e5)}`,
                googleId,
            });
            return newUser.id;
        });
    }
}
exports.default = User;
//# sourceMappingURL=user.js.map