"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const markdown_it_1 = __importDefault(require("markdown-it"));
const collapsible_1 = __importStar(require("./plugins/collapsible"));
const tabs_1 = __importDefault(require("./plugins/tabs"));
/* eslint @typescript-eslint/no-var-requires: 0 */
const anchorModule = require('markdown-it-anchor');
const md = markdown_it_1.default({
    breaks: true,
})
    .use(require('markdown-it-sub'))
    .use(require('markdown-it-sup'))
    .use(require('markdown-it-footnote'))
    .use(require('markdown-it-deflist'))
    .use(require('markdown-it-abbr'))
    .use(anchorModule.default || anchorModule)
    .use(require('markdown-it-table-of-contents'))
    .use(require('markdown-it-container'), 'image-right')
    .use(require('markdown-it-container'), 'align-center')
    .use(collapsible_1.default)
    .use(tabs_1.default);
function renderMarkdown(meta, content) {
    md.renderer.rules.table_open = () => ('<div class="table"><table>');
    md.renderer.rules.table_close = () => ('</table></div>');
    md.renderer.rules.collapsible_close = (tokens, index) => {
        const tokenContent = tokens[index].content; // eslint-disable-line @typescript-eslint/no-explicit-any
        return tokenContent.closeType === collapsible_1.CloseTypes.top ?
            '</div></div>' :
            `</div><div class="collapsible__close">${tokenContent.closeText}</div></div>`;
    };
    md.renderer.rules.collapsible_open = (tokens, index) => {
        const tokenContent = tokens[index].content; // eslint-disable-line @typescript-eslint/no-explicit-any
        const closeType = tokenContent.closeType;
        let collapsibleBlock = `<div class="collapsible"><div class="collapsible__open">${tokenContent.openText}</div>`;
        if (closeType === collapsible_1.CloseTypes.top || closeType === collapsible_1.CloseTypes.both) {
            collapsibleBlock += `<div class="collapsible__close">${tokenContent.closeText}</div>`;
        }
        return collapsibleBlock + '<div class="collapsible__content">';
    };
    md.renderer.rules.tabview_open = () => '<div class="tabs">';
    md.renderer.rules.tabview_close = () => '</div>';
    md.renderer.rules.tab_close = () => '</div></div>';
    md.renderer.rules.tab_open = (tokens, index) => {
        const title = tokens[index].content;
        return `<div class="tab"><div class="tab__title">${title}</div><div class="tab__content">`;
    };
    return md.render(content);
}
exports.default = renderMarkdown;
//# sourceMappingURL=markdown.js.map