"use strict";
/* eslint @typescript-eslint/naming-convention: 0 */
/* eslint @typescript-eslint/explicit-module-boundary-types: 0 */
/* eslint @typescript-eslint/no-explicit-any: 0 */
/* eslint no-param-reassign: 0 */
/* eslint no-return-assign: 0 */
Object.defineProperty(exports, "__esModule", { value: true });
const SEPARATOR = '---|';
function getTableHead(cells) {
    // String after tableHead
    const headSeparator = '\n|' + SEPARATOR.repeat(cells.length + 1) + '\n';
    let head = '|', firstRow = '';
    if (cells[0].startsWith('~')) {
        cells.forEach((cell) => {
            head += cell.replace(/~\s/, '') + '|';
        });
    }
    else {
        head = head.repeat(cells.length + 1);
        firstRow = cells.reduce((prevCells, cell) => (prevCells += `${cell}|`), '|') + '\n';
    }
    return '\n' + head + headSeparator + firstRow;
}
function prepareTableRow(row, isFirst = false) {
    const cells = row
        .substring(2, row.lastIndexOf('||'))
        .split('||');
    if (isFirst) {
        return getTableHead(cells);
    }
    return cells.reduce((prevCells, cell) => (prevCells += `${cell}|`), '|') + '\n';
}
function isNextRowTable(row) {
    return row.startsWith('||');
}
function default_1(input) {
    const rows = input.split('\n');
    let preparedContent = '';
    let inTable = false;
    rows.forEach((row, index) => {
        if (inTable) {
            preparedContent += prepareTableRow(row);
            inTable = rows[index + 1] ? isNextRowTable(rows[index + 1]) : false;
        }
        else if (row.startsWith('||')) {
            preparedContent += prepareTableRow(row, true);
            inTable = rows[index + 1] ? isNextRowTable(rows[index + 1]) : false;
        }
        else {
            preparedContent += row + '\n';
        }
    });
    return preparedContent;
}
exports.default = default_1;
//# sourceMappingURL=table.js.map