"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const wikidot_kit_1 = require("../components/wikidot-kit");
const utils_1 = require("../core/utils");
const models_1 = require("../models");
function run(siteName, uid) {
    return __awaiter(this, void 0, void 0, function* () {
        const wiki = wikidot_kit_1.SITES[siteName];
        utils_1.log(`Importing member ${uid} from ${wiki.name}`);
        try {
            const user = yield wikidot_kit_1.wk.fetchUserProfile(wiki.url, uid);
            utils_1.log('Imported user profile', user);
            yield models_1.WikidotUser.upsert({
                uid: user.uid,
                username: user.username,
                regDate: user.userSince,
                about: user.about,
                memberships: { [siteName]: user.memberSince },
            });
        }
        catch (error) {
            utils_1.reportError(error, { message: 'Error importing member profile', extra: { uid } });
        }
    });
}
exports.default = run;
//# sourceMappingURL=member-import.js.map