"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
const wikidot_kit_1 = require("../components/wikidot-kit");
function run(siteName) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!siteName) {
            throw new Error('Site name should be specified');
        }
        const wiki = wikidot_kit_1.SITES[siteName];
        utils_1.logImportant(`Initiating \`${siteName}\` members import`);
        const membersList = yield wikidot_kit_1.wk.fetchMembersList(wiki.url);
        const tasks = membersList.map((user) => ({
            task: 'member-import',
            args: [siteName, user.uid],
        }));
        yield utils_1.batchedEnqueue(tasks, 'import');
    });
}
exports.default = run;
//# sourceMappingURL=members-import-init.js.map